Subject: Re: [RFC] git subcommand to check if branch is up-to-date with upstream

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Jul 2016 09:58:52 -0700

Sidhant Sharma <[email-masked]> writes:

> I was wondering if it would be a good idea to have a command to check if a
> push or pull is required. Perhaps it can also suggest if changes are
> fast-forward or the branches (local and remote) have diverged.

Doesn't "branch -v" give that information these days?  You'd need to
"fetch" first to get the up-to-date worldview before running it, of
course.